TORSOCKS(1)

NAME
torsocks - Shell wrapper to simplify the use of the torsocks(8) library to transparently allow an application to use a SOCKS proxy. Basically a renamed, patched torsocks.

SYNOPSIS
torsocks [application [application's arguments]]
or torsocks [on|off]
or torsocks

DESCRIPTION
torsocks is a wrapper between the torsocks library and the application what you would like to run socksified.

OPTIONS

[application [application's arguments]]
    run the application as specified with the environment (LD_PRELOAD) set such that torsocks(8) will transparently proxy SOCKS connections in that program

[on|off]
    this option adds or removes torsocks(8) from the LD_PRELOAD environment variable. When torsocks(8) is in this variable all executed applications are automatically socksified. If you want to use this function, you HAVE to source the shell script from yours, like this: "source /usr/bin/torsocks" or ". /usr/bin/torsocks"
    Example:
    ". torsocks on" -- add the torsocks lib to LD_PRELOAD
    ". torsocks off" -- remove the torsocks lib from LD_PRELOAD

[show|sh]
    show the current value of the LD_PRELOAD variable

<without any argument>
    create a new shell with LD_PRELOAD including torsocks(8).

AUTHOR
This script was created by Tamas SZERB <toma@rulez.org> for the debian package of tsocks. It (along with this manual page) have since been adapted into the torsocks project and modified.